Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000726KdenliveCapturepublic2009-03-20 16:142010-09-19 20:06
Reporterrouge568 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.5 
Summary0000726: needed: libv4l and associated application patches (or "gspca stopped working in 2.6.27")
Descriptionlibv4l is a user-space library used by several applications in order to convert webcam streams in user-space instead of kernel-space. As gspca is included in 2.6.27 this is needed in order to (re)support a multitude of webcams supported with ordinary applications.

See http://hansdegoede.livejournal.com/3636.html [^] for a more complete description of the software.

The latest version is 0.4.0 and is available from http://people.atrpms.net/~hdegoede/ [^]
Additional InformationCopied from here, personal testing confirms that it affects Kdenlive: https://bugs.launchpad.net/ubuntu/+source/libv4l/+bug/260918 [^]
Using the command " LD_PRELOAD="/usr/lib/libv4l/v4l2convert.so" kdenlive ", was able to work around the issue. However, official patch is needed.
Tagscapture, v4l
Build/Install Method3rd party package
Attached Files

- Relationships
child of 0000954closed unable to record with v4l2 

-  Notes
(0002590)
administrator (administrator)
2009-03-26 16:15

Capture is done through FFmpeg, so there is no way we can patch that. I didn't see anything in the ffmpeg-devel mailing list showing that they plan to use libv4l, so we will probably need to use a hack like LD_PRELOAD
(0002685)
ddennedy (developer)
2009-04-09 09:40

pls consider closing this as not fixable
(0005865)
ttill (developer)
2010-09-19 20:05

It is now possible to record through v4l.

- Issue History
Date Modified Username Field Change
2009-03-20 16:14 rouge568 New Issue
2009-03-20 16:14 rouge568 Build/Install Method => 3rd party package
2009-03-20 16:15 rouge568 Tag Attached: capture
2009-03-20 16:15 rouge568 Tag Attached: v4l
2009-03-26 16:15 administrator Note Added: 0002590
2009-03-26 16:16 administrator Status new => acknowledged
2009-04-09 09:40 ddennedy Note Added: 0002685
2009-06-03 07:35 ddennedy Severity major => feature
2009-06-26 00:12 administrator Relationship added child of 0000954
2010-09-19 20:05 ttill Note Added: 0005865
2010-09-19 20:06 ttill Status acknowledged => resolved
2010-09-19 20:06 ttill Resolution open => fixed
2010-09-19 20:06 ttill Fixed in Version => 0.7.5
2010-09-19 20:06 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker